# std::thread::id::id

From cppreference.com
< cpp‎ | thread‎ | thread‎ | id

id(); |  | (since C++11)

Default-constructs a new thread identifier. The identifier does not represent a thread.

### Parameters

(none)

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/thread/id/id&oldid=91853"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template